package xiaoqu.home.open.model.db2;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 班组负责人
 * </p>
 *
 * @author wh
 * @since 2022-04-06
 */
@TableName("work_group_to_principal")
@ApiModel(value="WorkGroupToPrincipal对象", description="班组负责人")
public class WorkGroupToPrincipal extends Model<WorkGroupToPrincipal> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "创建id")
    @TableField("create_id")
    private Long createId;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "修改id")
    @TableField("modify_id")
    private Long modifyId;

    @ApiModelProperty(value = "修改时间")
    @TableField("modify_time")
    private Date modifyTime;

    @ApiModelProperty(value = "数据状态")
    @TableField("soft_delete")
    private Integer softDelete;

    @ApiModelProperty(value = "班组ID")
    @TableField("work_group_id")
    private Long workGroupId;

    @ApiModelProperty(value = "所属班组")
    @TableField("work_group_name")
    private String workGroupName;

    @ApiModelProperty(value = "人员ID")
    @TableField("user_id")
    private Long userId;

    @ApiModelProperty(value = "姓名")
    @TableField("user_name")
    private String userName;

    @ApiModelProperty(value = "手机号")
    @TableField("mobile")
    private String mobile;

    @ApiModelProperty(value = "账号角色类型 0:物业;1:保洁")
    @TableField("approle")
    private Integer approle;

    @ApiModelProperty(value = "系统权限0:管理权限;1:普通权限")
    @TableField("role_type")
    private Integer roleType;

    @ApiModelProperty(value = "负责人标识0:否;1:是")
    @TableField("principal_flag")
    private Integer principalFlag;

    @ApiModelProperty(value = "创建人")
    @TableField("create_name")
    private String createName;

    @ApiModelProperty(value = "编辑人")
    @TableField("modify_name")
    private String modifyName;

    @ApiModelProperty(value = "所属代理ID")
    @TableField("agent_id")
    private Long agentId;

    @ApiModelProperty(value = "所属物业ID")
    @TableField("property_id")
    private Long propertyId;

    @ApiModelProperty(value = "所属站点ID")
    @TableField("district_id")
    private Long districtId;

    @ApiModelProperty(value = "所属代理")
    @TableField("agent_name")
    private String agentName;

    @ApiModelProperty(value = "所属物业")
    @TableField("property_name")
    private String propertyName;

    @ApiModelProperty(value = "所属站点")
    @TableField("district_name")
    private String districtName;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getModifyId() {
        return modifyId;
    }

    public void setModifyId(Long modifyId) {
        this.modifyId = modifyId;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Integer getSoftDelete() {
        return softDelete;
    }

    public void setSoftDelete(Integer softDelete) {
        this.softDelete = softDelete;
    }

    public Long getWorkGroupId() {
        return workGroupId;
    }

    public void setWorkGroupId(Long workGroupId) {
        this.workGroupId = workGroupId;
    }

    public String getWorkGroupName() {
        return workGroupName;
    }

    public void setWorkGroupName(String workGroupName) {
        this.workGroupName = workGroupName;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public Integer getApprole() {
        return approle;
    }

    public void setApprole(Integer approle) {
        this.approle = approle;
    }

    public Integer getRoleType() {
        return roleType;
    }

    public void setRoleType(Integer roleType) {
        this.roleType = roleType;
    }

    public Integer getPrincipalFlag() {
        return principalFlag;
    }

    public void setPrincipalFlag(Integer principalFlag) {
        this.principalFlag = principalFlag;
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public String getModifyName() {
        return modifyName;
    }

    public void setModifyName(String modifyName) {
        this.modifyName = modifyName;
    }

    public Long getAgentId() {
        return agentId;
    }

    public void setAgentId(Long agentId) {
        this.agentId = agentId;
    }

    public Long getPropertyId() {
        return propertyId;
    }

    public void setPropertyId(Long propertyId) {
        this.propertyId = propertyId;
    }

    public Long getDistrictId() {
        return districtId;
    }

    public void setDistrictId(Long districtId) {
        this.districtId = districtId;
    }

    public String getAgentName() {
        return agentName;
    }

    public void setAgentName(String agentName) {
        this.agentName = agentName;
    }

    public String getPropertyName() {
        return propertyName;
    }

    public void setPropertyName(String propertyName) {
        this.propertyName = propertyName;
    }

    public String getDistrictName() {
        return districtName;
    }

    public void setDistrictName(String districtName) {
        this.districtName = districtName;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "WorkGroupToPrincipal{" +
        "id=" + id +
        ", createId=" + createId +
        ", createTime=" + createTime +
        ", modifyId=" + modifyId +
        ", modifyTime=" + modifyTime +
        ", softDelete=" + softDelete +
        ", workGroupId=" + workGroupId +
        ", workGroupName=" + workGroupName +
        ", userId=" + userId +
        ", userName=" + userName +
        ", mobile=" + mobile +
        ", approle=" + approle +
        ", roleType=" + roleType +
        ", principalFlag=" + principalFlag +
        ", createName=" + createName +
        ", modifyName=" + modifyName +
        ", agentId=" + agentId +
        ", propertyId=" + propertyId +
        ", districtId=" + districtId +
        ", agentName=" + agentName +
        ", propertyName=" + propertyName +
        ", districtName=" + districtName +
        "}";
    }
}
